Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler
Class AbstractHandlerContainer

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.AbstractHandlerContainer

All Implemented Interfaces:
  LifeCycle, Handler, HandlerContainer

Direct Known Subclasses:
  HandlerCollection, HandlerWrapper

    public abstract class AbstractHandlerContainer

extends AbstractHandler
implements HandlerContainer

Abstract Handler Container. This is the base class for handlers that may contain other handlers.

Author:
  gregw

Field Summary

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`AbstractHandlerContainer()`

Method Summary
`protected Object` | `expandChildren(Object list, Class byClass)`
`protected Object` | `expandHandler(Handler handler, Object list, Class byClass)`
`Handler` | `getChildHandlerByClass(Class byclass)`
`Handler[]` | `getChildHandlers()`
`Handler[]` | `getChildHandlersByClass(Class byclass)`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, doStart, doStop, getServer, setServer, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.jetty.HandlerContainer
`addHandler`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from interface org.mortbay.jetty.Handler
`handle`

Constructor Detail

### AbstractHandlerContainer

    public AbstractHandlerContainer()

Method Detail

### getChildHandlers

    public Handler[] getChildHandlers()

  Specified by:
    `getChildHandlers` in interface `HandlerContainer`

### getChildHandlersByClass

    public Handler[] getChildHandlersByClass(Class byclass)

  Specified by:
    `getChildHandlersByClass` in interface `HandlerContainer`

### getChildHandlerByClass

    public Handler getChildHandlerByClass(Class byclass)

  Specified by:
    `getChildHandlerByClass` in interface `HandlerContainer`

### expandChildren

    protected Object expandChildren(Object list,
                                    Class byClass)

### expandHandler

    protected Object expandHandler(Handler handler,
                                   Object list,
                                   Class byClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.